package konto;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class KontoTest {
	private Konto konto;

	@BeforeEach
	void setUp() {
		// metoda wykona się bezpośrednio przed każdy testem
		// istnieje też @AfterEach tearDown() - wykonuje się po każdym teście
		// Zazwyczaj w setUp przygotowuje się wspólne dane potrzebne przed każdym testem, taki stan początkowy (w literaturze: "fixture").
		konto = new Konto(123, "Ala Kowalska", 1000);
	}

	@Test
	void testToString() {
		assertEquals("Konto nr 123, wł. Ala Kowalska, saldo 1000", konto.toString());
	}
	
	@Test
	void testWplata() {
		konto.wplata(300);
		assertEquals(1300, konto.getSaldo());
	}

	@Test
	void testWyplata() {
		konto.wyplata(200);
		assertEquals(800, konto.getSaldo());
	}

}
